Play 3.0 games on 2.2.1?

Discussion in 'iPod touch' started by sokaroka, Jul 2, 2009.

  1. sokaroka

    sokaroka New Member

    Joined:
    Apr 20, 2009
    Messages:
    152
    Likes Received:
    0
    Device:
    2G iPod touch
    Well my laptop is broken so I can't upgrade to 3.0

    Please Register or Log in to view images


    I have an iPod Touch 2g with 2.2.1 firmware.

    Is there any way to make games (ROLANDO 2 ZOMFREKKLEPANCAEK!!!111one111!!) that "only" work with 3.0 to work on 2.2.1?
  2. studangerous

    studangerous Super Moderator Emeritus Staff Member

    Joined:
    Dec 2, 2007
    Messages:
    5,975
    Likes Received:
    30
    Device:
    iPhone 4 (Black)
    You could try and download one of those firmware changers from Cydia (if one exists for 3.0) that spoofs apps into thinking you're running on 3.0, though you may get crashes if the apps aren't compatible with 2.2.1.
  3. Education

    Education Member

    Joined:
    May 28, 2009
    Messages:
    163
    Likes Received:
    0
    Device:
    iPod touch
    Wait, why does it require 3.0 to play? Anyways, I just checked the iTunes page of Rolando 2, and it says that they will be releasing a version compatible with OS 2.2 soon. So if the app Stu recommended you to try didn't work out so great, just wait a few days or weeks.
  4. Dust

    Dust New Member

    Joined:
    Apr 12, 2009
    Messages:
    570
    Likes Received:
    0
    Device:
    2G iPod touch
    right now im pretty sure most apps still work with 2.2.1
  5. TmacHot

    TmacHot Active Member

    Joined:
    Apr 24, 2008
    Messages:
    1,723
    Likes Received:
    0
    Device:
    iPod touch
    Rolando 2 will be for 2.x firmwares soon !
    It is writen in the description of the app

    Please Register or Log in to view images

Share This Page